/*! \file lib_io_tp.h
    \brief Librairie E/S via TCP pour le CESI.
    \author Bertrand Vandeportaele IUT GEII
    \date  14/02/2022
*/
#ifndef LIB_IO_TP_H
#define LIB_IO_TP_H

// Bertrand Vandeportaele 2022
// inspiré d'un exemple de client TCP simple sans QT:
// https://riptutorial.com/cplusplus/example/24000/hello-tcp-client

#include "Arduino.h"


#include <cstring>
#include <iostream>
#include <string>
#include <arpa/inet.h>
#include <netdb.h>
#include <sys/socket.h>
#include <sys/types.h>
#include <unistd.h>

int setupES(char *ipAddressInit,char *portNumInit);
void closeES();
unsigned char readPort(void);
void writePort(unsigned char value);
void setName(char *value);
void setMsg(char *value);
//formats de requetes TCP:
//  g \n         pour lecture port
//  s val\n      pour ecriture port
//  n mon nom\n  pour affichage nom

#endif // LIB_IO_TP_H
